## grendel.ui
Class StoreFactory

    java.lang.Object
      |
      +--grendel.ui.StoreFactory

public class StoreFactory
extends java.lang.Object

Method Summary
`void` | `addChangeListener(javax.swing.event.ChangeListener l)`
`javax.mail.Session` | `getSession()`
`ViewedStore[]` | `getStores()`
`static StoreFactory` | `Instance()`
`void` | `refreshStores()`
`void` | `removeChangeListener(javax.swing.event.ChangeListener l)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### Instance

    public static StoreFactory Instance()

### getSession

    public javax.mail.Session getSession()

### getStores

    public ViewedStore[] getStores()

### refreshStores

    public void refreshStores()

### addChangeListener

    public void addChangeListener(javax.swing.event.ChangeListener l)

### removeChangeListener

    public void removeChangeListener(javax.swing.event.ChangeListener l)